iOS 5.1 and Xcode 4.3.1 CodeSign Error

I just downloaded the iOS 5.1 and the Xcode 4.3.1. But when I'm going to test in my device, the Xcode give me the error:

CodeSign error: code signing is required for product type 'Application' in SDK 'iOS 5.1'

Any idea how to fix it?

Answers


Try assigning your provision code in every fields like the below picture. I had same issue after upgrading to the iOS 5.1 and the Xcode 4.3.1, but it started working fine after I tried this.

assign all provisions like this just once. (or try changing "any SDK" to "iOS5.1"

Previously, I was doing like this.


You should revoke your certificate and make a new certificate request from Keychain access. make new certificate and install it. you don't really need to create new provision profile the existing one modify and select the certificate newly created but you must download updated provision profile and install to xcode.

everything works perfectly for me. hope this could hlep.


Need Your Help

Create temporary table

oracle11g

I'm coming from SQL Server enviroment where you can declare a temp table with @table, but as I've read you can't do this in oracle.

.NET: IOException for permissions when creating new file?

c# .net io

I am trying to create a new file and write XML to it: